WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Enumerations
vp8cx.h File Reference
WebM VP8 Encoder

Provides definitions for using the VP8 encoder algorithm within the vpx Codec Interface. More...

`#include "vp8.h"`

Go to the source code of this file.

## Data Structures
struct | vpx_roi_map
| vpx region of interest map More...
struct | vpx_active_map
| vpx active region map More...
struct | vpx_scaling_mode
| vpx image scaling mode More...
struct | vpx_svc_parameters
| vp9 svc parameters More...

## Macros
#define | VP8_EFLAG_NO_REF_LAST (1<<16)
| Don't reference the last frame. More...
#define | VP8_EFLAG_NO_REF_GF (1<<17)
| Don't reference the golden frame. More...
#define | VP8_EFLAG_NO_REF_ARF (1<<21)
| Don't reference the alternate reference frame. More...
#define | VP8_EFLAG_NO_UPD_LAST (1<<18)
| Don't update the last frame. More...
#define | VP8_EFLAG_NO_UPD_GF (1<<22)
| Don't update the golden frame. More...
#define | VP8_EFLAG_NO_UPD_ARF (1<<23)
| Don't update the alternate reference frame. More...
#define | VP8_EFLAG_FORCE_GF (1<<19)
| Force golden frame update. More...
#define | VP8_EFLAG_FORCE_ARF (1<<24)
| Force alternate reference frame update. More...
#define | VP8_EFLAG_NO_UPD_ENTROPY (1<<20)
| Disable entropy update. More...

## Typedefs
typedef enum vpx_scaling_mode_1d | VPX_SCALING_MODE
| vpx 1-D scaling mode More...
typedef struct vpx_roi_map | vpx_roi_map_t
| vpx region of interest map More...
typedef struct vpx_active_map | vpx_active_map_t
| vpx active region map More...
typedef struct vpx_scaling_mode | vpx_scaling_mode_t
| vpx image scaling mode More...
typedef struct vpx_svc_parameters | vpx_svc_parameters_t
| vp9 svc parameters More...

## Enumerations
enum | vp8e_enc_control_id { VP8E_UPD_ENTROPY = 5, VP8E_UPD_REFERENCE, VP8E_USE_REFERENCE, VP8E_SET_ROI_MAP, VP8E_SET_ACTIVEMAP, VP8E_SET_SCALEMODE = 11, VP8E_SET_CPUUSED = 13, VP8E_SET_ENABLEAUTOALTREF, VP8E_SET_NOISE_SENSITIVITY, VP8E_SET_SHARPNESS, VP8E_SET_STATIC_THRESHOLD, VP8E_SET_TOKEN_PARTITIONS, VP8E_GET_LAST_QUANTIZER, VP8E_GET_LAST_QUANTIZER_64, VP8E_SET_ARNR_MAXFRAMES, VP8E_SET_ARNR_STRENGTH, VP8E_SET_ARNR_TYPE, VP8E_SET_TUNING, VP8E_SET_CQ_LEVEL, VP8E_SET_MAX_INTRA_BITRATE_PCT, VP9E_SET_LOSSLESS, VP9E_SET_TILE_COLUMNS, VP9E_SET_TILE_ROWS, VP9E_SET_FRAME_PARALLEL_DECODING, VP9E_SET_AQ_MODE, VP9E_SET_SVC, VP9E_SET_SVC_PARAMETERS }
| VP8 encoder control functions. More...
enum | vpx_scaling_mode_1d { VP8E_NORMAL = 0, VP8E_FOURFIVE = 1, VP8E_THREEFIVE = 2, VP8E_ONETWO = 3 }
| vpx 1-D scaling mode More...
enum | vp8e_token_partitions { VP8_ONE_TOKENPARTITION = 0, VP8_TWO_TOKENPARTITION = 1, VP8_FOUR_TOKENPARTITION = 2, VP8_EIGHT_TOKENPARTITION = 3 }
| VP8 token partition mode. More...
enum | vp8e_tuning { VP8_TUNE_PSNR, VP8_TUNE_SSIM }
| VP8 model tuning parameters. More...

## Algorithm interface for VP8
This interface provides the capability to encode raw VP8 streams, as would be found in AVI files.
vpx_codec_iface_t | vpx_codec_vp8_cx_algo
vpx_codec_iface_t | vpx_codec_vp9_cx_algo
vpx_codec_iface_t | vpx_codec_vp9x_cx_algo
vpx_codec_iface_t * | vpx_codec_vp8_cx (void)
vpx_codec_iface_t * | vpx_codec_vp9_cx (void)
vpx_codec_iface_t * | vpx_codec_vp9x_cx (void)

## Detailed Description

Provides definitions for using the VP8 encoder algorithm within the vpx Codec Interface.